Subject: Re: [PATCH] ethernet: qualcomm: QCOM_EMAC should depend on HAS_DMA

From: Timur Tabi <[email-masked]>
Date: Thu, 6 Oct 2016 09:06:43 -0500

Geert Uytterhoeven wrote:
>   config QCOM_EMAC
>   	tristate "Qualcomm Technologies, Inc. EMAC Gigabit Ethernet support"
> +	depends on HAS_DMA

I think it needs to depend on HAS_IOMEM as well, to fix this error in 
arch/um:

    drivers/net/ethernet/qualcomm/emac/emac.c: In function 'emac_remove':
 >> drivers/net/ethernet/qualcomm/emac/emac.c:727:3: error: implicit 
declaration of function 'iounmap' [-Werror=implicit-function-declaration]
       iounmap(adpt->phy.digital);

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm
Technologies, Inc.  Qualcomm Technologies, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.